Debian Bug report logs - #149236
mkinitrd depends on non-standard cramfs patch

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: Michael Stone <mstone@debian.org>

Date: Thu, 6 Jun 2002 17:18:02 UTC

Severity: normal

Fixed in version kernel-package/8.005

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>, initrd-tools@packages.qa.debian.org:
Bug#149236; Package initrd-tools. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
New Bug report received and forwarded. Copy sent to Herbert Xu <herbert@debian.org>, initrd-tools@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: submit@bugs.debian.org
Subject: mkinitrd depends on non-standard cramfs patch
Date: Thu, 6 Jun 2002 13:04:46 -0400
Package: initrd-tools

initrd-tools generates an initrd with mkcramfs that apparantly requires
a non-standard kernel patch in order to run. This makes it very
difficult to mix & match debian and non-debian kernels, since kernel
packages from pristine source will fail to load an initrd. initrd-tools
should use a different filesystem that will work with standard kernel
source. At the very least, this dependency should be much better
documented, and the source of the patch should be referenced in the
documentation.

-- 
Mike Stone



Reply sent to Herbert Xu <herbert@gondor.apana.org.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Stone <mstone@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 149236-done@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: 149236-done@bugs.debian.org
Subject: Re: Bug#149236: mkinitrd depends on non-standard cramfs patch
Date: Fri, 7 Jun 2002 14:48:44 +1000
On Thu, Jun 06, 2002 at 01:04:46PM -0400, Michael Stone wrote:
> Package: initrd-tools
> 
> initrd-tools generates an initrd with mkcramfs that apparantly requires
> a non-standard kernel patch in order to run. This makes it very
> difficult to mix & match debian and non-debian kernels, since kernel
> packages from pristine source will fail to load an initrd. initrd-tools
> should use a different filesystem that will work with standard kernel
> source. At the very least, this dependency should be much better
> documented, and the source of the patch should be referenced in the
> documentation.

Please read th description of initrd-tools.  It only works with Debian.

The patch is listed in the README file of kernel-source.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>, initrd-tools@packages.qa.debian.org:
Bug#149236; Package initrd-tools. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>, initrd-tools@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 149236@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: 149236@bugs.debian.org
Cc: herbert@gondor.apana.org.au
Subject: Re: Bug#149236 acknowledged by developer (Re: Bug#149236: mkinitrd depends on non-standard cramfs patch)
Date: Mon, 10 Jun 2002 22:41:22 -0400
reopen 149236
reassign 149236 kernel-package
thanks

I'm just reassigning this to make-kpkg rather than waste any more time
being xupified. Maybe make-kpkg can contain the big red flags that the
debian initrd system is horribly broken, and that --initrd will likely
result in a non-bootable system if not using xukernel source.

On Fri, Jun 07, 2002 at 12:03:08AM -0500, you wrote:
> Please read th description of initrd-tools.  It only works with Debian.

No, it only works with the "xukernel". My other debian tools don't have
hidden requirements for xu-specific features. (E.g., my debian gcc
doesn't only work for building xu source packages, and with the striking
exception of initrd's, my make-kpkg doesn't only work with xukernels.)
I'd like to be "booting a debian system", but it's not at all clear how
I should go about doing that. (In order to use the 2.4 xukernels I need
to have a lilo.conf with an initrd= line. The kernel packages will
handle rotating symlinks and such in order to keep the initrd='s
sane--but only if I either have *all* initrd kernels or *no* initrd
kernels. There isn't, AFAIK, an automated way to handle a mix of
initrd/noninitrd kernels in lilo. [No need to insert grub comments
here--I use it on some systems and it doesn't work on others.] Since I
can't build an initrd kernel from pristine source using the debian
tools, I need to either handle lilo.conf manually for every kernel
install or go with either custom or debian kernel packages entirely. And
that sucks. It really sucks that the root of this problem is what
appears to be a fairly gratuitous, badly documented patch. Is it really
the case that none of the other filesystems in a standard kernel can
fill this need?)

> The patch is listed in the README file of kernel-source.

"Added initrd support for cramfs" isn't what I'd call good
documentation. A reference to an actual patch that someone could apply
to a pristine source in order to get this feature would be adequate
documentation.

-- 
Mike Stone



Bug reopened, originator not changed. Request was from Michael Stone <mstone@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `initrd-tools' to `kernel-package'. Request was from Michael Stone <mstone@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Stone <mstone@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 149236-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 149236-close@bugs.debian.org
Subject: Bug#149236: fixed in kernel-package 8.005
Date: Sat, 10 Aug 2002 12:02:17 -0400
We believe that the bug you reported is fixed in the latest version of
kernel-package, which is due to be installed in the Debian FTP archive:

kernel-package_8.005.dsc
  to pool/main/k/kernel-package/kernel-package_8.005.dsc
kernel-package_8.005.tar.gz
  to pool/main/k/kernel-package/kernel-package_8.005.tar.gz
kernel-package_8.005_all.deb
  to pool/main/k/kernel-package/kernel-package_8.005_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 149236@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated kernel-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 10 Aug 2002 10:52:50 -0500
Source: kernel-package
Binary: kernel-package
Architecture: source all
Version: 8.005
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 kernel-package - Debian Linux kernel package build scripts.
Closes: 149236 150777 151862 152653 153788 154648 156025 156078
Changes: 
 kernel-package (8.005) unstable; urgency=low
 .
   * Fixed a typo in image postinst, allowing us to make relative links.
                                                              closes: Bug#153788
   * Ask before unlinking modules.dep if we have initrd.      closes: Bug#154648
   * The postrm now knows that the initrd symlinks are in the same place
     that the image symlinks are.                             closes: Bug#150777
   * fix implementation of automated patcheing so that the configuration
     variable patch_the_kernel can be set to AUTO as well, not just the env
     variable. Caught by ingo at gmx.net as well.             closes: Bug#152653
   * Added big warnings that the initrd option requires a non-standard
     cramfs patch, enerally shipped with Debian supplied kernel sources,
     but not in the upstream sources.                         closes: Bug#149236
   * Make the patches unapply in reverse order                closes: Bug#151862
   * Chomp mount output                           closes: Bug#156078, Bug#156025
Files: 
 2aa66e7bb968e7e0a162f642ac38a3aa 483 misc optional kernel-package_8.005.dsc
 65952e38a116eafaa7a79937aaf719ac 236616 misc optional kernel-package_8.005.tar.gz
 268fcffd29675140b8d4621476d5c730 246154 misc optional kernel-package_8.005_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9VTcoIbrau78kQkwRAsfBAJ4ihvpvsdYSMvBeTpLWo0T0QlMxHgCfb80M
8SDjvQuquL16HeWTlKVs84Y=
=7Gdx
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:55:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.